/*
	fnipage.c

	% inter_page

	This function is used by the standard field functions to facilitate
	movement between pages.

	Handling the inter_page movement in one place save code space and
	makes it easy to modify the inter_page behavior.  Simply replace
	inter_page with a new function that performs as desired.

	C-scape 3.2
	Copyright (c) 1986 - 1990 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/28/90 jmd	ansi-fied
	 8/01/90 jdc	now goes to the first and last fields if it can't page.
	12/11/90 pmcm	now doesn't do that
	12/12/90 jmd	removed unnedded variables
*/

#include <stdio.h>
#include "cscape.h"
#include "scancode.h"

boolean inter_page(sed_type sed, int scancode)
/*
	effects:	Handles movement between pages.
					PGUP	goes to the previous page.
					PGDN	goes to the next page.

				goes to the first and last fields if it can't page.

	returns:	TRUE if intercepted a key, FALSE otherwise.
*/
{
	switch (scancode) {
	case PGUP:
		sed_PageUp(sed);
		return(TRUE);

	case PGDN:
		sed_PageDown(sed);
		return(TRUE);

	default:
		break;
	}
	return(FALSE);
}


